Bug 17074 - confusing quota information
Summary: confusing quota information
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-29 14:11 UTC by braun
Modified: 2017-11-08 01:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-15 20:02:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description braun 2000-08-29 14:11:28 UTC
Systems: NFS - server and NFS - client running RedHat 6.2 on i686.
(lkernel 2.2.16-3, nfs-utils-0.1.9.1-1, quota-2.00pre3-2)

NFS server exports its /home - partition (formatted using 
mke2fs -b 4096) to client.
Output of ``quota'' on the server shows  block quotas in 1kB units.
Running ``quota'' on the client shows block quotas in 4kB units.
Rpc.rquotad uses the kernel syscall quotactl to get block quotas. This
returns the block counts in 1kB units (should use 4kB here?).
However the block size information  in the result structure is set to
4kB (result of statfs, see file
nfs-utils-0.1.9.1/utils/rquotad/rquota_server.c).
This confuses quota on the client which does a division to get 1kB blocks
back (see quota-2.00-pre3/rquota_client.c).
I have not checked other utils (setquota).

Cheers

Martin Braun

Comment 1 openshift-github-bot 2017-11-08 01:50:31 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/c5b38be8e3b766dc8707b042f52e7a2d6cf4cd80
Merge pull request #17108 from jim-minter/issue17074

Automatic merge from submit-queue.

allow image trigger controller to create custom builds

fixes #17074


Note You need to log in before you can comment on or make changes to this bug.